Package twisted :: Package python :: Module formmethod :: Class Integer

[show private | hide private]
[frames | no frames]

## Class Integer

    Argument --+
               |
              Integer

A single integer.

Method Summary
| `__init__(self, name, allowNone, default, shortDesc, longDesc, hints)`
| `addHint(self, hint)` (inherited from `Argument`)
| ``coerce`(self, val)` Convert the value to the correct format.
| `getLongDescription(self)` (inherited from `Argument`)
| `getShortDescription(self)` (inherited from `Argument`)

Class Variable Summary
`None` | `defaultDefault`

Method Details

### coerce(self, val)

Convert the value to the correct format.

  Overrides:
    `twisted.python.formmethod.Argument.coerce` (inherited documentation)

Class Variable Details

### defaultDefault

  Type:
    `None`
  Value:

        None

Generated by Epydoc 1.1 on Sat Feb 15 21:18:05 2003 | http://epydoc.sf.net